Bug 832733 - Iptables firewall blocks responses to UDP multicast discovery packets.
Iptables firewall blocks responses to UDP multicast discovery packets.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
21
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
http://bugzilla.netfilter.org/show_bu...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 18:52 EDT by Philip Prindeville
Modified: 2015-12-02 11:03 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:39:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Prindeville 2012-06-16 18:52:15 EDT
Description of problem:

A multicast solicitation is sent as UDP on port 34699 to the SSDP port and site-local address 239.255.255.250.

A response comes back as a unicast to our source address and sort port.

It is not admitted by the rule:

-A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT

even though arguably a inbound unicast reply to an outbound multicast request are indeed a "related" pair.


Version-Release number of selected component (if applicable):

iptables-1.4.12-2.fc16.x86_64

How reproducible:

Here's a trace of trying to do UPnP discovery:

16:37:56.642134 IP 192.168.1.25.34699 > 239.255.255.250.ssdp: UDP, length 135
..^....'.Y8...E.....@................l..AQM-SEARCH * HTTP/1.1
HOST: 239.255.255.250:1900
MAN: "ssdp:discover"
MX: 2
ST: urn:schemas-upnp-org:device:WANConnectionDevice:1


16:37:56.645110 IP 192.168.1.1.ssdp > 192.168.1.25.34699: UDP, length 310
.'.Y8.h.t.{...E..R. @.@............l...>2.HTTP/1.1 200 OK
CACHE-CONTROL: max-age=130
DATE: Sat, 16 Jun 2012 16:37:49 GMT
EXT:
LOCATION: http://192.168.1.1:2869/gatedesc.xml
SERVER: Linux/2.6.15 UPnP/1.0 
ST: urn:schemas-upnp-org:device:WANConnectionDevice:1
USN: uuid:687f7406-7b12-627f-740::urn:schemas-upnp-org:device:WANConnectionDevice:1


16:37:56.645145 IP 192.168.1.25 > 192.168.1.1: ICMP host 192.168.1.25 unreachable - admin prohibited, length 346
h.t.{..'.Y8...E..n....@.RH.........
......E..R. @.@............l...>2.HTTP/1.1 200 OK
CACHE-CONTROL: max-age=130
DATE: Sat, 16 Jun 2012 16:37:49 GMT
EXT:
LOCATION: http://192.168.1.1:2869/gatedesc.xml
SERVER: Linux/2.6.15 UPnP/1.0 
ST: urn:schemas-upnp-org:device:WANConnectionDevice:1
USN: uuid:687f7406-7b12-627f-740::urn:schemas-upnp-org:device:WANConnectionDevice:1


Steps to Reproduce:
1.
2.
3.
  
Actual results:

The traffic is blocked and an ICMP unreachable is sent.

Expected results:

The traffic should have been allowed.

Additional info:
Comment 1 Fedora End Of Life 2013-01-16 15:34:24 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-04-03 13:54:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 12:12:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 09:17:45 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Fedora End Of Life 2015-11-04 07:08:09 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-12-01 21:39:32 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.